twitter4j

## Class HttpRequest

- java.lang.Object
- - twitter4j.HttpRequest

All Implemented Interfaces:
  Serializable

    public final class HttpRequest
    extends Object
    implements Serializable

HTTP Request parameter object

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpRequest(RequestMethod method, String url, HttpParameter[] parameters, Authorization authorization, Map<String,String> requestHeaders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Authorization` `getAuthorization()`
`RequestMethod` `getMethod()`
`HttpParameter[]` `getParameters()`
`Map<String,String>` `getRequestHeaders()`
`String` `getURL()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpRequest

    public HttpRequest(RequestMethod method,
                       String url,
                       HttpParameter[] parameters,
                       Authorization authorization,
                       Map<String,String> requestHeaders)

Parameters:
  `method` - Specifies the HTTP method
  `url` - the request to request
  `parameters` - parameters
  `authorization` - Authentication implementation. Currently BasicAuthentication, OAuthAuthentication and NullAuthentication are supported.
  `requestHeaders` - request headers

### Method Detail

#### getMethod

    public RequestMethod getMethod()

#### getParameters

    public HttpParameter[] getParameters()

#### getURL

    public String getURL()

#### getAuthorization

    public Authorization getAuthorization()

#### getRequestHeaders

    public Map<String,String> getRequestHeaders()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`